From 7b3a9f539e966bee252fbc0ac86152cc6f3e32d4 Mon Sep 17 00:00:00 2001
From: Jonathan Wilkes <jon.w.wilkes@gmail.com>
Date: Mon, 21 Mar 2016 17:51:14 -0400
Subject: [PATCH] add A_CANT arg to dsp methods

---
 externals/zexy/src/0x260x260x7e.c  | 4 ++--
 externals/zexy/src/0x3c0x7e.c      | 5 +++--
 externals/zexy/src/0x3d0x3d0x7e.c  | 5 +++--
 externals/zexy/src/0x3e0x7e.c      | 5 +++--
 externals/zexy/src/0x7c0x7c0x7e.c  | 4 ++--
 externals/zexy/src/absgn~.c        | 3 ++-
 externals/zexy/src/abs~.c          | 3 ++-
 externals/zexy/src/avg~.c          | 3 ++-
 externals/zexy/src/blockmirror~.c  | 2 +-
 externals/zexy/src/blockshuffle~.c | 2 +-
 externals/zexy/src/blockswap~.c    | 2 +-
 externals/zexy/src/demultiplex~.c  | 3 ++-
 externals/zexy/src/dfreq~.c        | 3 ++-
 externals/zexy/src/dirac~.c        | 3 ++-
 externals/zexy/src/doublepole~.c   | 2 +-
 externals/zexy/src/envrms~.c       | 2 +-
 externals/zexy/src/limiter~.c      | 3 ++-
 externals/zexy/src/multiline~.c    | 3 ++-
 externals/zexy/src/multiplex~.c    | 2 +-
 externals/zexy/src/noish~.c        | 3 ++-
 externals/zexy/src/noisi~.c        | 3 ++-
 externals/zexy/src/pack~.c         | 3 ++-
 externals/zexy/src/pdf~.c          | 3 ++-
 externals/zexy/src/quantize~.c     | 3 ++-
 externals/zexy/src/sfplay.c        | 3 ++-
 externals/zexy/src/sfrecord.c      | 3 ++-
 externals/zexy/src/sgn~.c          | 3 ++-
 externals/zexy/src/sigzero~.c      | 3 ++-
 externals/zexy/src/step~.c         | 3 ++-
 externals/zexy/src/swap~.c         | 3 ++-
 externals/zexy/src/tabread4~~.c    | 2 +-
 externals/zexy/src/tavg~.c         | 3 ++-
 externals/zexy/src/unpack~.c       | 2 +-
 externals/zexy/src/z~.c            | 3 ++-
 34 files changed, 63 insertions(+), 39 deletions(-)

diff --git a/externals/zexy/src/0x260x260x7e.c b/externals/zexy/src/0x260x260x7e.c
index 88e4896..71dcd5d 100644
--- a/externals/zexy/src/0x260x260x7e.c
+++ b/externals/zexy/src/0x260x260x7e.c
@@ -289,7 +289,7 @@ void setup_0x260x260x7e(void)
                                  (t_newmethod)andand_tilde_new, 0,
                                  sizeof(t_andand_tilde), 0, A_GIMME, 0);
   class_addmethod(andand_tilde_class, (t_method)andand_tilde_dsp,
-                  gensym("dsp"), 0);
+                  gensym("dsp"), A_CANT, 0);
   CLASS_MAINSIGNALIN(andand_tilde_class, t_andand_tilde, x_f);
   class_addmethod  (andand_tilde_class, (t_method)andand_tilde_help,
                     gensym("help"), A_NULL);
@@ -300,7 +300,7 @@ void setup_0x260x260x7e(void)
                                        sizeof(t_scalarandand_tilde), 0, 0);
   CLASS_MAINSIGNALIN(scalarandand_tilde_class, t_scalarandand_tilde, x_f);
   class_addmethod(scalarandand_tilde_class, (t_method)scalarandand_tilde_dsp,
-                  gensym("dsp"),
+                  gensym("dsp"), A_CANT,
                   0);
   class_addmethod  (scalarandand_tilde_class, (t_method)andand_tilde_help,
                     gensym("help"), A_NULL);
diff --git a/externals/zexy/src/0x3c0x7e.c b/externals/zexy/src/0x3c0x7e.c
index c710dd7..7624464 100644
--- a/externals/zexy/src/0x3c0x7e.c
+++ b/externals/zexy/src/0x3c0x7e.c
@@ -243,7 +243,8 @@ void setup_0x3c0x7e(void)
 {
   lt_tilde_class = class_new(gensym("<~"), (t_newmethod)lt_tilde_new, 0,
                              sizeof(t_lt_tilde), 0, A_GIMME, 0);
-  class_addmethod(lt_tilde_class, (t_method)lt_tilde_dsp, gensym("dsp"), 0);
+  class_addmethod(lt_tilde_class, (t_method)lt_tilde_dsp, gensym("dsp"),
+                  A_CANT, 0);
   CLASS_MAINSIGNALIN(lt_tilde_class, t_lt_tilde, x_f);
   class_addmethod  (lt_tilde_class, (t_method)lt_tilde_help, gensym("help"),
                     A_NULL);
@@ -254,7 +255,7 @@ void setup_0x3c0x7e(void)
   CLASS_MAINSIGNALIN(scalarlt_tilde_class, t_scalarlt_tilde, x_f);
   class_addmethod(scalarlt_tilde_class, (t_method)scalarlt_tilde_dsp,
                   gensym("dsp"),
-                  0);
+                  A_CANT, 0);
   class_addmethod  (scalarlt_tilde_class, (t_method)lt_tilde_help,
                     gensym("help"), A_NULL);
   class_sethelpsymbol(scalarlt_tilde_class, gensym("zigbinops"));
diff --git a/externals/zexy/src/0x3d0x3d0x7e.c b/externals/zexy/src/0x3d0x3d0x7e.c
index 7c0c014..266d8ed 100644
--- a/externals/zexy/src/0x3d0x3d0x7e.c
+++ b/externals/zexy/src/0x3d0x3d0x7e.c
@@ -242,7 +242,8 @@ void setup_0x3d0x3d0x7e(void)
 {
   eq_tilde_class = class_new(gensym("==~"), (t_newmethod)eq_tilde_new, 0,
                              sizeof(t_eq_tilde), 0, A_GIMME, 0);
-  class_addmethod(eq_tilde_class, (t_method)eq_tilde_dsp, gensym("dsp"), 0);
+  class_addmethod(eq_tilde_class, (t_method)eq_tilde_dsp, gensym("dsp"),
+                    A_CANT, 0);
   CLASS_MAINSIGNALIN(eq_tilde_class, t_eq_tilde, x_f);
   class_addmethod  (eq_tilde_class, (t_method)eq_tilde_help, gensym("help"),
                     A_NULL);
@@ -253,7 +254,7 @@ void setup_0x3d0x3d0x7e(void)
   CLASS_MAINSIGNALIN(scalareq_tilde_class, t_scalareq_tilde, x_f);
   class_addmethod(scalareq_tilde_class, (t_method)scalareq_tilde_dsp,
                   gensym("dsp"),
-                  0);
+                  A_CANT, 0);
   class_addmethod  (scalareq_tilde_class, (t_method)eq_tilde_help,
                     gensym("help"), A_NULL);
   class_sethelpsymbol(scalareq_tilde_class, gensym("zigbinops"));
diff --git a/externals/zexy/src/0x3e0x7e.c b/externals/zexy/src/0x3e0x7e.c
index 9c91e1d..d0d1b07 100644
--- a/externals/zexy/src/0x3e0x7e.c
+++ b/externals/zexy/src/0x3e0x7e.c
@@ -246,7 +246,8 @@ void setup_0x3e0x7e(void)
 {
   gt_tilde_class = class_new(gensym(">~"), (t_newmethod)gt_tilde_new, 0,
                              sizeof(t_gt_tilde), 0, A_GIMME, 0);
-  class_addmethod(gt_tilde_class, (t_method)gt_tilde_dsp, gensym("dsp"), 0);
+  class_addmethod(gt_tilde_class, (t_method)gt_tilde_dsp, gensym("dsp"),
+                  A_CANT, 0);
   CLASS_MAINSIGNALIN(gt_tilde_class, t_gt_tilde, x_f);
   class_addmethod  (gt_tilde_class, (t_method)gt_tilde_help, gensym("help"),
                     A_NULL);
@@ -257,7 +258,7 @@ void setup_0x3e0x7e(void)
   CLASS_MAINSIGNALIN(scalargt_tilde_class, t_scalargt_tilde, x_f);
   class_addmethod(scalargt_tilde_class, (t_method)scalargt_tilde_dsp,
                   gensym("dsp"),
-                  0);
+                  A_CANT, 0);
   class_addmethod  (scalargt_tilde_class, (t_method)gt_tilde_help,
                     gensym("help"), A_NULL);
   class_sethelpsymbol(scalargt_tilde_class, gensym("zigbinops"));
diff --git a/externals/zexy/src/0x7c0x7c0x7e.c b/externals/zexy/src/0x7c0x7c0x7e.c
index b1cd497..fa5504f 100644
--- a/externals/zexy/src/0x7c0x7c0x7e.c
+++ b/externals/zexy/src/0x7c0x7c0x7e.c
@@ -262,7 +262,7 @@ void setup_0x7c0x7c0x7e(void)
   oror_tilde_class = class_new(gensym("||~"), (t_newmethod)oror_tilde_new, 0,
                                sizeof(t_oror_tilde), 0, A_GIMME, 0);
   class_addmethod(oror_tilde_class, (t_method)oror_tilde_dsp, gensym("dsp"),
-                  0);
+                  A_CANT, 0);
   CLASS_MAINSIGNALIN(oror_tilde_class, t_oror_tilde, x_f);
   class_addmethod  (oror_tilde_class, (t_method)oror_tilde_help,
                     gensym("help"), A_NULL);
@@ -273,7 +273,7 @@ void setup_0x7c0x7c0x7e(void)
   CLASS_MAINSIGNALIN(scalaroror_tilde_class, t_scalaroror_tilde, x_f);
   class_addmethod(scalaroror_tilde_class, (t_method)scalaroror_tilde_dsp,
                   gensym("dsp"),
-                  0);
+                  A_CANT, 0);
   class_addmethod  (scalaroror_tilde_class, (t_method)oror_tilde_help,
                     gensym("help"), A_NULL);
   class_sethelpsymbol(scalaroror_tilde_class, gensym("zigbinops"));
diff --git a/externals/zexy/src/absgn~.c b/externals/zexy/src/absgn~.c
index 94eb3ec..927c55d 100644
--- a/externals/zexy/src/absgn~.c
+++ b/externals/zexy/src/absgn~.c
@@ -137,7 +137,8 @@ void absgn_tilde_setup(void)
   sigABSGN_class = class_new(gensym("absgn~"), (t_newmethod)sigABSGN_new, 0,
                              sizeof(t_absgn), 0, A_DEFFLOAT, 0);
   CLASS_MAINSIGNALIN(sigABSGN_class, t_absgn, x_f);
-  class_addmethod(sigABSGN_class, (t_method)sigABSGN_dsp, gensym("dsp"), 0);
+  class_addmethod(sigABSGN_class, (t_method)sigABSGN_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(sigABSGN_class, (t_method)sigABSGN_helper, gensym("help"),
                   0);
diff --git a/externals/zexy/src/abs~.c b/externals/zexy/src/abs~.c
index 69122a9..333aba3 100644
--- a/externals/zexy/src/abs~.c
+++ b/externals/zexy/src/abs~.c
@@ -155,7 +155,8 @@ void abs_tilde_setup(void)
   sigABS_class = class_new(gensym("abs~"), (t_newmethod)sigABS_new, 0,
                            sizeof(t_abs), 0, A_DEFFLOAT, 0);
   CLASS_MAINSIGNALIN(sigABS_class, t_abs, x_f);
-  class_addmethod(sigABS_class, (t_method)sigABS_dsp, gensym("dsp"), 0);
+  class_addmethod(sigABS_class, (t_method)sigABS_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(sigABS_class, (t_method)sigABS_helper, gensym("help"), 0);
   class_sethelpsymbol(sigABS_class, gensym("zigbinops"));
diff --git a/externals/zexy/src/avg~.c b/externals/zexy/src/avg~.c
index 3e68c4c..839b6b5 100644
--- a/externals/zexy/src/avg~.c
+++ b/externals/zexy/src/avg~.c
@@ -76,7 +76,8 @@ void avg_tilde_setup(void)
   avg_class = class_new(gensym("avg~"), (t_newmethod)avg_new, 0,
                         sizeof(t_avg), 0, A_DEFFLOAT, 0);
   class_addmethod(avg_class, nullfn, gensym("signal"), 0);
-  class_addmethod(avg_class, (t_method)avg_dsp, gensym("dsp"), 0);
+  class_addmethod(avg_class, (t_method)avg_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(avg_class, (t_method)avg_help, gensym("help"), 0);
   zexy_register("avg~");
diff --git a/externals/zexy/src/blockmirror~.c b/externals/zexy/src/blockmirror~.c
index c62c436..67465dd 100644
--- a/externals/zexy/src/blockmirror~.c
+++ b/externals/zexy/src/blockmirror~.c
@@ -112,7 +112,7 @@ void blockmirror_tilde_setup(void)
                                 sizeof(t_blockmirror), 0, A_NULL);
   class_addmethod(blockmirror_class, nullfn, gensym("signal"), 0);
   class_addmethod(blockmirror_class, (t_method)blockmirror_dsp,
-                  gensym("dsp"), 0);
+                  gensym("dsp"), A_CANT, 0);
 
   class_addfloat(blockmirror_class, blockmirror_float);
 
diff --git a/externals/zexy/src/blockshuffle~.c b/externals/zexy/src/blockshuffle~.c
index 36dbff7..d2e0e9e 100644
--- a/externals/zexy/src/blockshuffle~.c
+++ b/externals/zexy/src/blockshuffle~.c
@@ -159,7 +159,7 @@ void blockshuffle_tilde_setup(void)
                                  sizeof(t_blockshuffle), 0, A_NULL);
   class_addmethod(blockshuffle_class, nullfn, gensym("signal"), 0);
   class_addmethod(blockshuffle_class, (t_method)blockshuffle_dsp,
-                  gensym("dsp"), 0);
+                  gensym("dsp"), A_CANT, 0);
 
   class_addlist(blockshuffle_class, blockshuffle_list);
 
diff --git a/externals/zexy/src/blockswap~.c b/externals/zexy/src/blockswap~.c
index 9363858..05ea2e8 100644
--- a/externals/zexy/src/blockswap~.c
+++ b/externals/zexy/src/blockswap~.c
@@ -111,7 +111,7 @@ void blockswap_tilde_setup(void)
                               sizeof(t_blockswap), 0, A_NULL);
   class_addmethod(blockswap_class, nullfn, gensym("signal"), 0);
   class_addmethod(blockswap_class, (t_method)blockswap_dsp, gensym("dsp"),
-                  0);
+                  A_CANT, 0);
 
   class_addfloat(blockswap_class, blockswap_float);
 
diff --git a/externals/zexy/src/demultiplex~.c b/externals/zexy/src/demultiplex~.c
index fbc58e2..6a40cbb 100644
--- a/externals/zexy/src/demultiplex~.c
+++ b/externals/zexy/src/demultiplex~.c
@@ -121,7 +121,8 @@ void demultiplex_tilde_setup(void)
   class_addcreator((t_newmethod)demux_new, gensym("demux~"), A_GIMME, 0);
 
   class_addfloat(demux_class, demux_output);
-  class_addmethod(demux_class, (t_method)demux_dsp, gensym("dsp"), 0);
+  class_addmethod(demux_class, (t_method)demux_dsp, gensym("dsp"),
+                  A_CANT, 0);
   class_addmethod(demux_class, nullfn, gensym("signal"), 0);
 
   class_addmethod(demux_class, (t_method)demux_helper, gensym("help"), 0);
diff --git a/externals/zexy/src/dfreq~.c b/externals/zexy/src/dfreq~.c
index ee2adf8..1868e80 100644
--- a/externals/zexy/src/dfreq~.c
+++ b/externals/zexy/src/dfreq~.c
@@ -110,7 +110,8 @@ void dfreq_tilde_setup(void)
   dfreq_class = class_new(gensym("dfreq~"), (t_newmethod)dfreq_new, 0,
                           sizeof(t_dfreq), 0, A_NULL);
   class_addmethod(dfreq_class, nullfn, gensym("signal"), 0);
-  class_addmethod(dfreq_class, (t_method)dfreq_dsp, gensym("dsp"), 0);
+  class_addmethod(dfreq_class, (t_method)dfreq_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(dfreq_class, (t_method)dfreq_tilde_helper, gensym("help"),
                   0);
diff --git a/externals/zexy/src/dirac~.c b/externals/zexy/src/dirac~.c
index c00ab9d..fbd8310 100644
--- a/externals/zexy/src/dirac~.c
+++ b/externals/zexy/src/dirac~.c
@@ -151,7 +151,8 @@ void dirac_tilde_setup(void)
                           sizeof(t_dirac), 0, A_DEFFLOAT, 0);
   class_addfloat(dirac_class, dirac_float);
   class_addbang(dirac_class, dirac_bang);
-  class_addmethod(dirac_class, (t_method)dirac_dsp, gensym("dsp"), 0);
+  class_addmethod(dirac_class, (t_method)dirac_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(dirac_class, (t_method)dirac_helper, gensym("help"), 0);
   zexy_register("dirac~");
diff --git a/externals/zexy/src/doublepole~.c b/externals/zexy/src/doublepole~.c
index a06e861..6666135 100644
--- a/externals/zexy/src/doublepole~.c
+++ b/externals/zexy/src/doublepole~.c
@@ -116,7 +116,7 @@ void doublepole_tilde_setup(void)
                                   0, sizeof(t_sigdoublepole), 0, A_GIMME, 0);
   CLASS_MAINSIGNALIN(sigdoublepole_class, t_sigdoublepole, x_f);
   class_addmethod(sigdoublepole_class, (t_method)sigdoublepole_dsp,
-                  gensym("dsp"), 0);
+                  gensym("dsp"), A_CANT, 0);
   class_addlist(sigdoublepole_class, sigdoublepole_list);
   class_addmethod(sigdoublepole_class, (t_method)sigdoublepole_set,
                   gensym("set"),
diff --git a/externals/zexy/src/envrms~.c b/externals/zexy/src/envrms~.c
index 1c1db80..5204211 100644
--- a/externals/zexy/src/envrms~.c
+++ b/externals/zexy/src/envrms~.c
@@ -156,7 +156,7 @@ void envrms_tilde_setup(void)
                               (t_method)sigenvrms_ff, sizeof(t_sigenvrms), 0, A_DEFFLOAT, A_DEFFLOAT, 0);
   class_addmethod(sigenvrms_class, nullfn, gensym("signal"), 0);
   class_addmethod(sigenvrms_class, (t_method)sigenvrms_dsp, gensym("dsp"),
-                  0);
+                  A_CANT, 0);
 
   class_addmethod(sigenvrms_class, (t_method)sigenvrms_help, gensym("help"),
                   0);
diff --git a/externals/zexy/src/limiter~.c b/externals/zexy/src/limiter~.c
index b6c8523..153058b 100644
--- a/externals/zexy/src/limiter~.c
+++ b/externals/zexy/src/limiter~.c
@@ -774,7 +774,8 @@ void limiter_tilde_setup(void)
                             sizeof(t_limiter), 0, A_GIMME, 0);
 
   class_addmethod(limiter_class, nullfn,					gensym("signal"), 0);
-  class_addmethod(limiter_class, (t_method)limiter_dsp,	gensym("dsp"), 0);
+  class_addmethod(limiter_class, (t_method)limiter_dsp,	gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(limiter_class, (t_method)limiter_tilde_helper,
                   gensym("help"), 0);
diff --git a/externals/zexy/src/multiline~.c b/externals/zexy/src/multiline~.c
index c2f1707..584bb4a 100644
--- a/externals/zexy/src/multiline~.c
+++ b/externals/zexy/src/multiline~.c
@@ -296,7 +296,8 @@ void multiline_tilde_setup(void)
                           (t_method)mline_free,
                           sizeof(t_mline), 0, A_GIMME, 0);
 
-  class_addmethod(mline_class, (t_method)mline_dsp, gensym("dsp"), 0);
+  class_addmethod(mline_class, (t_method)mline_dsp, gensym("dsp"),
+                  A_CANT, 0);
   class_addmethod(mline_class, nullfn, gensym("signal"), 0);
 
   class_addmethod(mline_class, (t_method)mline_list, gensym(""), A_GIMME, 0);
diff --git a/externals/zexy/src/multiplex~.c b/externals/zexy/src/multiplex~.c
index b384492..eccda19 100644
--- a/externals/zexy/src/multiplex~.c
+++ b/externals/zexy/src/multiplex~.c
@@ -116,7 +116,7 @@ void multiplex_tilde_setup(void)
 
   class_addfloat(mux_tilde_class, mux_tilde_input);
   class_addmethod(mux_tilde_class, (t_method)mux_tilde_dsp, gensym("dsp"),
-                  0);
+                  A_CANT, 0);
   class_addmethod(mux_tilde_class, nullfn, gensym("signal"), 0);
 
   class_addmethod(mux_tilde_class, (t_method)mux_tilde_helper,
diff --git a/externals/zexy/src/noish~.c b/externals/zexy/src/noish~.c
index feae156..295a95f 100644
--- a/externals/zexy/src/noish~.c
+++ b/externals/zexy/src/noish~.c
@@ -176,7 +176,8 @@ void noish_tilde_setup(void)
                           sizeof(t_nois), 0, A_DEFFLOAT, 0);
 
   class_addfloat(noish_class, set_freq);
-  class_addmethod(noish_class, (t_method)noish_dsp, gensym("dsp"), 0);
+  class_addmethod(noish_class, (t_method)noish_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(noish_class, (t_method)set_noisseed, gensym("seed"),
                   A_FLOAT, 0);
diff --git a/externals/zexy/src/noisi~.c b/externals/zexy/src/noisi~.c
index 8158c59..4703b95 100644
--- a/externals/zexy/src/noisi~.c
+++ b/externals/zexy/src/noisi~.c
@@ -180,7 +180,8 @@ void noisi_tilde_setup(void)
                           sizeof(t_nois), 0, A_DEFFLOAT, 0);
 
   class_addfloat(noisi_class, set_noisfreq);
-  class_addmethod(noisi_class, (t_method)noisi_dsp, gensym("dsp"), 0);
+  class_addmethod(noisi_class, (t_method)noisi_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(noisi_class, (t_method)set_noisseed, gensym("seed"),
                   A_FLOAT, 0);
diff --git a/externals/zexy/src/pack~.c b/externals/zexy/src/pack~.c
index 5ec6085..e1614a7 100644
--- a/externals/zexy/src/pack~.c
+++ b/externals/zexy/src/pack~.c
@@ -96,7 +96,8 @@ void pack_tilde_setup(void)
                             (t_method)sigpack_free,
                             sizeof(t_sigpack), 0, A_DEFFLOAT, 0);
   class_addmethod(sigpack_class, nullfn, gensym("signal"), 0);
-  class_addmethod(sigpack_class, (t_method)sigpack_dsp, gensym("dsp"), 0);
+  class_addmethod(sigpack_class, (t_method)sigpack_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(sigpack_class, (t_method)sigpack_help, gensym("help"), 0);
 
diff --git a/externals/zexy/src/pdf~.c b/externals/zexy/src/pdf~.c
index b3a950b..74d20d6 100644
--- a/externals/zexy/src/pdf~.c
+++ b/externals/zexy/src/pdf~.c
@@ -137,7 +137,8 @@ void pdf_tilde_setup(void)
                         sizeof(t_pdf), 0, A_DEFFLOAT, 0);
 
   class_addmethod(pdf_class, nullfn, gensym("signal"), 0);
-  class_addmethod(pdf_class, (t_method)pdf_dsp, gensym("dsp"), 0);
+  class_addmethod(pdf_class, (t_method)pdf_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(pdf_class, (t_method)pdf_bang, gensym("bang"), 0);
   class_addmethod(pdf_class, (t_method)clear_pdfbuf, gensym("clear"), 0);
diff --git a/externals/zexy/src/quantize~.c b/externals/zexy/src/quantize~.c
index 47c27ef..972fa6d 100644
--- a/externals/zexy/src/quantize~.c
+++ b/externals/zexy/src/quantize~.c
@@ -110,7 +110,8 @@ void quantize_tilde_setup(void)
                              0,
                              sizeof(t_quantize), 0, A_DEFFLOAT, 0);
   class_addmethod(quantize_class, nullfn, gensym("signal"), 0);
-  class_addmethod(quantize_class, (t_method)quantize_dsp, gensym("dsp"), 0);
+  class_addmethod(quantize_class, (t_method)quantize_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addfloat(quantize_class, quantize_float);
   class_addmethod(quantize_class, (t_method)quantize_8bit, gensym("8bit"),
diff --git a/externals/zexy/src/sfplay.c b/externals/zexy/src/sfplay.c
index a577605..8418e32 100644
--- a/externals/zexy/src/sfplay.c
+++ b/externals/zexy/src/sfplay.c
@@ -668,7 +668,8 @@ void sfplay_setup(void)
                            (t_method)sfplay_free,
                            sizeof(t_sfplay), 0, A_DEFFLOAT, A_DEFFLOAT,0);
   class_addmethod(sfplay_class, nullfn, gensym("signal"), 0);
-  class_addmethod(sfplay_class, (t_method)sfplay_dsp, gensym("dsp"), 0);
+  class_addmethod(sfplay_class, (t_method)sfplay_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(sfplay_class, (t_method)sfplay_helper, gensym("help"),
                   A_NULL);
diff --git a/externals/zexy/src/sfrecord.c b/externals/zexy/src/sfrecord.c
index 0256281..3a63eb3 100644
--- a/externals/zexy/src/sfrecord.c
+++ b/externals/zexy/src/sfrecord.c
@@ -612,7 +612,8 @@ void sfrecord_setup(void)
                              (t_method)sfrecord_free,
                              sizeof(t_sfrecord), 0, A_DEFFLOAT, A_DEFFLOAT,0);
   class_addmethod(sfrecord_class, nullfn, gensym("signal"), 0);
-  class_addmethod(sfrecord_class, (t_method)sfrecord_dsp, gensym("dsp"), 0);
+  class_addmethod(sfrecord_class, (t_method)sfrecord_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   /* method open with filename */
   class_addmethod(sfrecord_class, (t_method)sfrecord_open, gensym("open"),
diff --git a/externals/zexy/src/sgn~.c b/externals/zexy/src/sgn~.c
index 5dda84e..4ed554f 100644
--- a/externals/zexy/src/sgn~.c
+++ b/externals/zexy/src/sgn~.c
@@ -200,7 +200,8 @@ void sgn_tilde_setup(void)
   sgnTilde_class = class_new(gensym("sgn~"), (t_newmethod)sgnTilde_new, 0,
                              sizeof(t_sgnTilde), 0, A_DEFFLOAT, 0);
   class_addmethod(sgnTilde_class, nullfn, gensym("signal"), 0);
-  class_addmethod(sgnTilde_class, (t_method)sgnTilde_dsp, gensym("dsp"), 0);
+  class_addmethod(sgnTilde_class, (t_method)sgnTilde_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(sgnTilde_class, (t_method)sgnTilde_helper, gensym("help"),
                   0);
diff --git a/externals/zexy/src/sigzero~.c b/externals/zexy/src/sigzero~.c
index 1364382..d5f8e77 100644
--- a/externals/zexy/src/sigzero~.c
+++ b/externals/zexy/src/sigzero~.c
@@ -104,7 +104,8 @@ void sigzero_tilde_setup(void)
   class_addmethod(sigzero_class, (t_method)sigzero_off, gensym("off"), 0);
 
   class_addmethod(sigzero_class, nullfn, gensym("signal"), 0);
-  class_addmethod(sigzero_class, (t_method)sigzero_dsp, gensym("dsp"), 0);
+  class_addmethod(sigzero_class, (t_method)sigzero_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(sigzero_class, (t_method)sigzero_tilde_helper,
                   gensym("help"), 0);
diff --git a/externals/zexy/src/step~.c b/externals/zexy/src/step~.c
index 6fed675..9cc5cab 100644
--- a/externals/zexy/src/step~.c
+++ b/externals/zexy/src/step~.c
@@ -138,7 +138,8 @@ void step_tilde_setup(void)
   class_addbang(step_class, step_bang);
   class_addmethod(step_class, (t_method)step_setlength, gensym("ft1"),
                   A_FLOAT, 0);
-  class_addmethod(step_class, (t_method)step_dsp, gensym("dsp"), 0);
+  class_addmethod(step_class, (t_method)step_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addmethod(step_class, (t_method)step_helper, gensym("help"), 0);
 
diff --git a/externals/zexy/src/swap~.c b/externals/zexy/src/swap~.c
index c82b383..7ed9783 100644
--- a/externals/zexy/src/swap~.c
+++ b/externals/zexy/src/swap~.c
@@ -96,7 +96,8 @@ void swap_tilde_setup(void)
   swap_class = class_new(gensym("swap~"), (t_newmethod)swap_new, 0,
                          sizeof(t_swap), 0, A_NULL);
   class_addmethod(swap_class, nullfn, gensym("signal"), 0);
-  class_addmethod(swap_class, (t_method)swap_dsp, gensym("dsp"), 0);
+  class_addmethod(swap_class, (t_method)swap_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addfloat(swap_class, swap_float);
   class_addbang(swap_class, swap_bang);
diff --git a/externals/zexy/src/tabread4~~.c b/externals/zexy/src/tabread4~~.c
index 96d2003..085178a 100644
--- a/externals/zexy/src/tabread4~~.c
+++ b/externals/zexy/src/tabread4~~.c
@@ -134,7 +134,7 @@ void tabread4_tilde_tilde_setup(void)
                                    sizeof(t_tabread4_tilde), 0, A_DEFSYM, 0);
   CLASS_MAINSIGNALIN(tabread4_tilde_class, t_tabread4_tilde, x_f);
   class_addmethod(tabread4_tilde_class, (t_method)tabread4_tilde_dsp,
-                  gensym("dsp"), 0);
+                  gensym("dsp"), A_CANT, 0);
   class_addmethod(tabread4_tilde_class, (t_method)tabread4_tilde_set,
                   gensym("set"), A_SYMBOL, 0);
 
diff --git a/externals/zexy/src/tavg~.c b/externals/zexy/src/tavg~.c
index 6d5ef51..90c9d3d 100644
--- a/externals/zexy/src/tavg~.c
+++ b/externals/zexy/src/tavg~.c
@@ -78,7 +78,8 @@ void tavg_tilde_setup(void)
   tavg_class = class_new(gensym("tavg~"), (t_newmethod)tavg_new, 0,
                          sizeof(t_tavgtilde), 0, A_DEFFLOAT, 0);
   class_addmethod(tavg_class, nullfn, gensym("signal"), 0);
-  class_addmethod(tavg_class, (t_method)tavg_dsp, gensym("dsp"), 0);
+  class_addmethod(tavg_class, (t_method)tavg_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addbang(tavg_class, tavg_bang);
 
diff --git a/externals/zexy/src/unpack~.c b/externals/zexy/src/unpack~.c
index 091f9d3..d7bae1c 100644
--- a/externals/zexy/src/unpack~.c
+++ b/externals/zexy/src/unpack~.c
@@ -130,7 +130,7 @@ void unpack_tilde_setup(void)
                               0,
                               sizeof(t_sigunpack), 0, A_DEFFLOAT, 0);
   class_addmethod(sigunpack_class, (t_method)sigunpack_dsp, gensym("dsp"),
-                  0);
+                  A_CANT, 0);
   class_addfloat(sigunpack_class, (t_method)sigunpack_float);
   class_addlist (sigunpack_class, (t_method)sigunpack_list);
 
diff --git a/externals/zexy/src/z~.c b/externals/zexy/src/z~.c
index 240bac6..02cc88d 100644
--- a/externals/zexy/src/z~.c
+++ b/externals/zexy/src/z~.c
@@ -151,7 +151,8 @@ void z_tilde_setup(void)
                             (t_method)zNdelay_free,
                             sizeof(t_zNdelay), 0, A_GIMME, 0);
   class_addmethod(zNdelay_class, nullfn, gensym("signal"), 0);
-  class_addmethod(zNdelay_class, (t_method)zNdelay_dsp, gensym("dsp"), 0);
+  class_addmethod(zNdelay_class, (t_method)zNdelay_dsp, gensym("dsp"),
+                  A_CANT, 0);
 
   class_addfloat(zNdelay_class, zdel_float);
   class_addmethod(zNdelay_class, (t_method)zdel_float, gensym("ft1"),
-- 
2.7.0